openSUSE Security Update : webkitgtk (openSUSE-2016-412)

Medium Nessus Plugin ID 90259

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for webkitgtk fixes the following issues :

- webkitgtk was updated to version 2.4.10 (boo#971460) :

+ Fix rendering of form controls and scrollbars with GTK+ >= 3.19.

+ Fix crashes on PPC64.

+ Fix the build on powerpc 32 bits.

+ Add ARM64 build support.

+ Security fixes: CVE-2015-1120, CVE-2015-1076, CVE-2015-1071, CVE-2015-1081, CVE-2015-1122, CVE-2015-1155, CVE-2014-1748, CVE-2015-3752, CVE-2015-5809, CVE-2015-5928, CVE-2015-3749, CVE-2015-3659, CVE-2015-3748, CVE-2015-3743, CVE-2015-3731, CVE-2015-3745, CVE-2015-5822, CVE-2015-3658, CVE-2015-3741, CVE-2015-3727, CVE-2015-5801, CVE-2015-5788, CVE-2015-3747, CVE-2015-5794, CVE-2015-1127, CVE-2015-1153, CVE-2015-1083.

+ Updated translations.

Solution

Update the affected webkitgtk packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=971460

Plugin Details

Severity: Medium

ID: 90259

File Name: openSUSE-2016-412.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2016/04/01

Updated: 2020/06/04

Dependencies: 12634

Risk Information

Risk Factor: Medium

VPR Score: 5.9

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libjavascriptcoregtk-1_0-0, p-cpe:/a:novell:opensuse:libjavascriptcoregtk-1_0-0-32bit, p-cpe:/a:novell:opensuse:libjavascriptcoregtk-1_0-0-debuginfo, p-cpe:/a:novell:opensuse:libjavascriptcoregtk-1_0-0-debuginfo-32bit, p-cpe:/a:novell:opensuse:libjavascriptcoregtk-3_0-0, p-cpe:/a:novell:opensuse:libjavascriptcoregtk-3_0-0-32bit, p-cpe:/a:novell:opensuse:libjavascriptcoregtk-3_0-0-debuginfo, p-cpe:/a:novell:opensuse:libjavascriptcoregtk-3_0-0-debuginfo-32bit, p-cpe:/a:novell:opensuse:libwebkitgtk-1_0-0, p-cpe:/a:novell:opensuse:libwebkitgtk-1_0-0-32bit, p-cpe:/a:novell:opensuse:libwebkitgtk-1_0-0-debuginfo, p-cpe:/a:novell:opensuse:libwebkitgtk-1_0-0-debuginfo-32bit, p-cpe:/a:novell:opensuse:libwebkitgtk-3_0-0, p-cpe:/a:novell:opensuse:libwebkitgtk-3_0-0-32bit, p-cpe:/a:novell:opensuse:libwebkitgtk-3_0-0-debuginfo, p-cpe:/a:novell:opensuse:libwebkitgtk-3_0-0-debuginfo-32bit, p-cpe:/a:novell:opensuse:libwebkitgtk-devel, p-cpe:/a:novell:opensuse:libwebkitgtk2-lang, p-cpe:/a:novell:opensuse:libwebkitgtk3-devel, p-cpe:/a:novell:opensuse:libwebkitgtk3-lang, p-cpe:/a:novell:opensuse:typelib-1_0-JavaScriptCore-1_0, p-cpe:/a:novell:opensuse:typelib-1_0-JavaScriptCore-3_0, p-cpe:/a:novell:opensuse:typelib-1_0-WebKit-1_0, p-cpe:/a:novell:opensuse:typelib-1_0-WebKit-3_0, p-cpe:/a:novell:opensuse:webkit-jsc-1, p-cpe:/a:novell:opensuse:webkit-jsc-1-debuginfo, p-cpe:/a:novell:opensuse:webkit-jsc-3, p-cpe:/a:novell:opensuse:webkit-jsc-3-debuginfo, cpe:/o:novell:opensuse:13.2, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/03/30

Reference Information

CVE: CVE-2014-1748, CVE-2015-1071, CVE-2015-1076, CVE-2015-1081, CVE-2015-1083, CVE-2015-1120, CVE-2015-1122, CVE-2015-1127, CVE-2015-1153, CVE-2015-1155, CVE-2015-3658, CVE-2015-3659, CVE-2015-3727, CVE-2015-3731, CVE-2015-3741, CVE-2015-3743, CVE-2015-3745, CVE-2015-3747, CVE-2015-3748, CVE-2015-3749, CVE-2015-3752, CVE-2015-5788, CVE-2015-5794, CVE-2015-5801, CVE-2015-5809, CVE-2015-5822, CVE-2015-5928